ppa-assimilate config.ini check failes with md5

Discussion in 'Plesk Automation Suggestions and Feedback' started by Staš Adam, Aug 22, 2012.

Thread Status:
Not open for further replies.
  1. Staš Adam

    Staš Adam Bit Poster

    Messages:
    4
    Hi,

    installation of ppa-migrator-plesks-migrator and ppa-migrator-expand-migrator went smoothly after i downgraded gnutls.

    Now I'm stuck with error:

    -bash-4.1#ppa-assimilate config.ini check

    150 ERROR | code for hash md5 was not found.
    Traceback (most recent call last):
    File "/usr/lib/python2.7/hashlib.py", line 139, in <module>
    globals()[__func_name] = __get_hash(__func_name)
    File "/usr/lib/python2.7/hashlib.py", line 91, in __get_builtin_constructor
    raise ValueError('unsupported hash type %s' % name)
    ValueError: unsupported hash type md5
    151 ERROR | code for hash sha1 was not found.
    Traceback (most recent call last):
    File "/usr/lib/python2.7/hashlib.py", line 139, in <module>
    globals()[__func_name] = __get_hash(__func_name)
    File "/usr/lib/python2.7/hashlib.py", line 91, in __get_builtin_constructor
    raise ValueError('unsupported hash type %s' % name)
    ValueError: unsupported hash type sha1
    152 ERROR | code for hash sha224 was not found.
    Traceback (most recent call last):
    File "/usr/lib/python2.7/hashlib.py", line 139, in <module>
    globals()[__func_name] = __get_hash(__func_name)
    File "/usr/lib/python2.7/hashlib.py", line 91, in __get_builtin_constructor
    raise ValueError('unsupported hash type %s' % name)
    ValueError: unsupported hash type sha224
    152 ERROR | code for hash sha256 was not found.
    Traceback (most recent call last):
    File "/usr/lib/python2.7/hashlib.py", line 139, in <module>
    globals()[__func_name] = __get_hash(__func_name)
    File "/usr/lib/python2.7/hashlib.py", line 91, in __get_builtin_constructor
    raise ValueError('unsupported hash type %s' % name)
    ValueError: unsupported hash type sha256
    153 ERROR | code for hash sha384 was not found.
    Traceback (most recent call last):
    File "/usr/lib/python2.7/hashlib.py", line 139, in <module>
    globals()[__func_name] = __get_hash(__func_name)
    File "/usr/lib/python2.7/hashlib.py", line 91, in __get_builtin_constructor
    raise ValueError('unsupported hash type %s' % name)
    ValueError: unsupported hash type sha384
    153 ERROR | code for hash sha512 was not found.
    Traceback (most recent call last):
    File "/usr/lib/python2.7/hashlib.py", line 139, in <module>
    globals()[__func_name] = __get_hash(__func_name)
    File "/usr/lib/python2.7/hashlib.py", line 91, in __get_builtin_constructor
    raise ValueError('unsupported hash type %s' % name)
    ValueError: unsupported hash type sha512
    207 ERROR | Fatal error, migration is terminated: cannot import name md5

    This vps iz vz4 based with centos6 template and plesk10.4.x:
    cat /etc/issue
    CentOS Linux release 6.0 (Final)

    When I tried on vps vz4 based with centos 5.x template "check" case works. So there must be some issue with centos6 . For assimilation testing purpuse I need centos6 ppa-migrator working, because our production of plesks 10.x are all centos6 based.

    Is there any known solution for this python/hashlib/md5 modul issue on centos6 platform?

    Regards,

    Staš
     
  2. Andrey Dobrenko

    Andrey Dobrenko Odin Team

    Messages:
    256
    Hi,

    We don't support Centos 6 yet. You should install and run PPA migrator tool on Centos/RedHat 5. Currently, we are working to support Centos 6 for service nodes and migrator. Thanks!

    Best Regards,
    Andrey
     
Thread Status:
Not open for further replies.

Share This Page